Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605378 - Incorrect GPL file in redhat-release
Incorrect GPL file in redhat-release
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: redhat-release-server (Show other bugs)
6.1
All Linux
low Severity low
: rc
: ---
Assigned To: Andrew Thomas
Release Test Team
:
Depends On: 604922
Blocks: 766008
  Show dependency treegraph
 
Reported: 2010-06-17 15:13 EDT by Richard Fontana
Modified: 2016-01-18 11:09 EST (History)
5 users (show)

See Also:
Fixed In Version: redhat-release-server-5.91Server-6.0.0.33.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 604922
: 766008 (view as bug list)
Environment:
Last Closed: 2010-11-10 17:15:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Fontana 2010-06-17 15:13:49 EDT
+++ This bug was initially created as a clone of Bug #604922 +++

Description of problem:

redhat-release includes a GPL license file that contains the following header:

*****************************************************************************
The following copyright applies to the Red Hat Enterprise Linux
compilation and any portions of Red Hat Enterprise Linux it does not
conflict with. Whenever this policy does conflict with the copyright
of any individual portion of Red Hat Enterprise Linux, it does not
apply.

*****************************************************************************
 
This is based on similar language that was in the GPL text included with RHL releases (note the pre-21st century free software use of "copyright" to mean "copyright license"). The text can be read as suggesting that any GPLv2-compatible parts of Red Hat Enterprise Linux are somehow relicensed under GPLv2, which is not the policy of Red Hat. The FSF address information is also out of date.

This file should be replaced with the standard current GPLv2 text maintained by the FSF at: http://www.gnu.org/licenses/gpl-2.0.txt
Comment 2 RHEL Product and Program Management 2010-06-17 15:33:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Alexander Todorov 2010-07-02 05:43:18 EDT
With redhat-release-server-5.91Server-6.0.0.33.el6

# diff -u gpl-2.0.txt /usr/share/doc/redhat-release-server-5.91Server/GPL
# echo $?
0

gpl-2.0.txt is from the FSF website. Moving to VERIFIED.
Comment 6 releng-rhel@redhat.com 2010-11-10 17:15:34 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.